import os
import os.path
import sys
import glob

# Wrappers for sasktran_tir objects
from .climatology import ClimatologyAtmosphericState, ClimatologySpecies, ClimatologyFull
from .engine import EngineTIR
from .opticalproperty import HITRANChemicalTIR

#------------------------------------------------------------------------------
#           check_installation_called_from_sasktranif
#------------------------------------------------------------------------------

def check_installation_called_from_sasktranif( SKTRAN_IFCreateRegistryEntriesForDLL, registry ):

    dirname = os.path.dirname(__file__)
    firstimefile = os.path.join( dirname, 'sasktran_tir_firsttime.sktran' )
    if os.path.exists(firstimefile):
        print("First Time Setup: Initiliazing Sasktran TIR registry settings")
        dllnames = glob.glob( dirname + os.sep + "*sasktranif_tir_interface.*")                           # Search that directory for the core components DLL or shareable object
        dllname = dllnames[0]                                                           # We must find at least 1 (or fail)
        SKTRAN_IFCreateRegistryEntriesForDLL(dllname, dllname)                          # param[0] =  full path name of this DLL.
        os.unlink(firstimefile)
        print("First Time Setup: Sasktran TIR initialization is complete.")

from ._version import get_versions
__version__ = get_versions()['version']
del get_versions
